=== debian/control ===
Source: ros-humble-canopen-ros2-control
Section: misc
Priority: optional
Maintainer: Lovro Ivanov <lovro.ivanov@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-canopen-402-driver, ros-humble-canopen-core, ros-humble-canopen-proxy-driver, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-canopen-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-canopen-402-driver, ros-humble-canopen-core, ros-humble-canopen-proxy-driver, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-ros-workspace
Description: ros2_control wrapper for ros2_canopen functionalities
